---@enum ERigPhysicsCombineMode
local ERigPhysicsCombineMode = {
    Avg = 0,
    Min = 1,
    Multiply = 2,
    Max = 3,
}

---@enum ERigPhysicsKinematicTargetSpace
local ERigPhysicsKinematicTargetSpace = {
    World = 0,
    Component = 1,
    OffsetInBoneSpace = 2,
    OffsetInWorldSpace = 3,
    OffsetInComponentSpace = 4,
    IgnoreTarget = 5,
    ERigPhysicsKinematicTargetSpace_MAX = 6,
}

---@enum ERigPhysicsSimulationSpace
local ERigPhysicsSimulationSpace = {
    World = 0,
    Component = 1,
    SpaceBone = 2,
    ERigPhysicsSimulationSpace_MAX = 3,
}

